// NLS_CHARSET=UTF-8
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	'stepTitle': "상호 서버 통신", 
	'description': "서버간 통신을 설정할 다른 Jazz 기반 서버를 지정하십시오. OAuth 비밀 사항으로 사용할 코드 문구 및 다른 Jazz Team Server의 위치 정보를 입력하십시오. 그 다음 해당 서버에 대한 액세스를 요청하여 OAuth 이용자 키를 작성하고 동반자 목록에 정보를 저장하십시오. 다른 서버가 OAuth 키에 권한을 부여하면 이 서버는 다른 Jazz 서버와 상호 작용할 수 있습니다. 참고: Rational Requirements Composer와 같은 제품에 연결하는 경우, 기본 Jazz Foundation Server를 사용하지 말고 프론팅 서버의 루트 서비스 URI를 사용하십시오. 예는 설명 섹션을 참조하십시오.",
	'step1Title': "서버 대 서버 통신 요청",
	'step1Description': ".  이제 해당 서버에서 프로비전 이용자 키를 요청하고 이 정보를 서버 동반자 목록에 저장할 수 있습니다. ",

	'step2Title': "프로비전 키 권한 부여",
	'step2Description': "임시 키를 요청하면 이 섹션에는 저장된 키가 표시됩니다.",
	
	'requestError': "${0}에 연결하는 중에 오류가 발생했습니다. URL이 올바른지와 서버가 실행 중인지 확인하십시오. ",
	
	'keyNeedsAuthorization': "요청한 임시 키는 기타 서버에서 관리자에 의해 권한 부여되어야 함: <strong>${0}<\/stong>",
	'authorizationLink': "\"${0}\" 서버의 관리자인 경우 ${1}프로비전 키에 대한 액세스 권한을 부여${2}할 수 있습니다. ",
	'keyAuthorized': "프로비전 키의 권한이 부여되며 동반자 목록에 저장됩니다. 이제 서버는 ${0}과(와) 통신할 수 있습니다. ", 
	
	'registerButtonText': "액세스 요청", 
	'propertyLabel': "특성",
	'valueLabel': "값",
	'descriptionLabel': "설명",
	
	'titleLabel': "제목", 
	'titleDescrption': "제목을 입력하여 동반자 목록에서 이 항목을 식별할 수 있습니다. ",
	'rootServicesLabel': "루트 서비스 URI", 
	'rootServicesDescrption': "동반자로 추가할 서버의 루트 서비스 URI입니다(예: 'https://rrc-server:9443/rdm/rootservices' 또는 'https://rqm-server:9443/jazz/rootservices')",
	'rootServicesExample': "형식: https://<hostname><:port-number>/<context>/rootservices ",
	'serverUriLabel': "Jazz Team Server URI", 
	'serverUriDescrption': "동반자로 추가할 서버이며 서버간 통신을 설정합니다(예: 'https://otherJazzServer:9443/jazz/rootservices').",
	'secretLabel': "OAuth 비밀사항", 
	'secretDescrption': "동반자 목록의 새 OAuth 이용자 키와 연관시킬 코드 문구를 입력하십시오. ",
	'secretLabel2': "비밀사항 재입력", 
	'secretDescrption2': "철자 오류를 확인하기 위해 코드 문구를 다시 입력하십시오. ",
	'secretMismatch': "비밀사항 불일치",
	'trustedLabel': "신뢰됨", 
	'trustedDescription': "신뢰되는 이용자는 다른 신뢰되는 이용자와 권한을 공유할 수 있으며 데이터 액세스 시 사용자에게 승인을 요청하는 프롬프트가 표시되지 않습니다. 외부 웹 사이트 또는 제품을 신뢰되지 않는 웹 사이트 또는 제품으로 간주하는 것이 좋습니다.",

	'correctFields': "아래 필드를 정정하십시오.",
	'completeFields': "다른 Jazz Team Server에 대한 통신을 구성하거나, 계속하려면 다음을 선택하십시오.", 
		
	'postFriendError': "이 서버에 동반자를 저장하는 중에 오류가 발생했습니다.",
	'fetchFriendsError': "이 서버에서 동반자 목록을 요청하는 중에 오류가 발생했습니다.",
	'fetchRootServicesError': "\"${0}\" 서버에서 루트 서비스 문서를 요청하는 중에 오류가 발생했습니다.",
	'requestKeyError': "\"${0}\" 서버에서 OAuth 이용자 키를 요청하는 중에 오류가 발생했습니다.", 
	'deleteFriendError': "동반자 항목을 삭제하는 중에 오류 발생: ${0}",
	'friendsTableHeading': "서버 동반자 목록", 
	'friendsTableDescription': "서버간 통신을 위해 서버 목록이 작성되었습니다.",
	'noFriends': "서버 동반자 목록에 항목이 없습니다.",
	'internalFriendsTableHeading': "내부 동반자 목록", 
	'internalFriendsTableDescription': "데이터를 이 Jazz Team Server에 저장하고 프로젝트 링크에 참여하는 프론팅 서버 애플리케이션의 목록입니다(예: Rational Requirements Composer). 이는 애플리케이션에서 지원하는 링크 유형을 기반으로 작용 가능한 프로젝트 링크 소스를 감지하는 데 사용됩니다. 설정 시 내부 동반자가 설정되며 이를 제거하면 안됩니다.",
	'oAuthDomainLabel': "OAuth 도메인",
	'oAuthConsumerKeyLabel': "OAuth 이용자 키", 
	'removeFriendButton': "동반자 삭제",
	'confirmDelete': "이 동반자 항목을 삭제하시겠습니까?", 
	'requestingAccess': "액세스 요청 중...",
	
	// edit friend wizard 
	'editFriendHeading': "동반자 제목: ${0}",
	'editFriendDialogTitle': "동반자 특성 편집",
	'confirmEditCancel': "이 편집기를 종료하시겠습니까? 작성한 변경사항이 손실됩니다. 계속 작업하려면 취소를 클릭하고, 종료하려면 확인을 클릭하십시오.",
	
	'internalLabel': "내부", 
	'internalNo': "공용"
})	







